#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdeconnect-kde
Summary:        Connect and sync your devices with Plasma
Version: 24.08.2
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kdeconnect.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Bluetooth)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WaylandClient)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6People)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6PulseAudioQt)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6ModemManagerQt)
BuildRequires:  cmake(PlasmaWaylandProtocols)

BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libfakekey)
BuildRequires:  pkgconfig(ModemManager)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(x11)
BuildRequires:  git-core

Recommends:     %{name}-handbook

Requires:       kde-cli-tools
Requires:       kio
Requires:       kirigami
Requires:       kirigami-addons
# mga#28827
Requires:       sshfs-fuse

%description
KDE Connect adds communication between Plasma and your smartphone or tablet.

%files  -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf6_categoriesdir}/kdeconnect-kde.*categories
%{_kf6_sysconfdir}/xdg/autostart/org.kde.kdeconnect.daemon.desktop
%{_kf6_bindir}/kdeconnect-*
%{_kf6_bindir}/kdeconnectd
%{_kf6_applicationsdir}/kcm_kdeconnect.desktop
%{_kf6_plugindir}/kio/kdeconnect.so
%{_kf6_plugindir}/kfileitemaction/kdeconnectfileitemaction.so
%{_qt6_plugindir}/kdeconnect/
%{_qt6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_kdeconnect.so
%{_kf6_qmldir}/org/kde/kdeconnect/
%{_kf6_applicationsdir}/org.kde.kdeconnect.daemon.desktop
%{_kf6_applicationsdir}/org.kde.kdeconnect.handler.desktop
%{_kf6_applicationsdir}/org.kde.kdeconnect.nonplasma.desktop
%{_kf6_applicationsdir}/org.kde.kdeconnect.app.desktop
%{_kf6_applicationsdir}/org.kde.kdeconnect.sms.desktop
%{_kf6_applicationsdir}/org.kde.kdeconnect-settings.desktop
%{_kf6_metainfodir}/org.kde.kdeconnect.*
%{_kf6_knotificationsdir}/kdeconnect.notifyrc
%{_kf6_datadir}/kdeconnect/
%{_kf6_datadir}/plasma/plasmoids/org.kde.kdeconnect/
%{_kf6_iconsdir}/hicolor/scalable/apps/*.svg
%{_kf6_iconsdir}/hicolor/*/status/*.svg
%{_kf6_datadir}/dbus-1/services/org.kde.kdeconnect.service
%{_kf6_datadir}/contractor/kdeconnect.contract
%{_kf6_datadir}/zsh/site-functions/_kdeconnect
%{_kf6_datadir}/Thunar/sendto/kdeconnect-thunar.desktop

#------------------------------------------------------------------------------

%package        handbook
Summary:        KDE Connect Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides the KDE Connect handbook.

%files handbook
%{_kf6_docdir}/HTML/*/kdeconnect/
%{_kf6_docdir}/HTML/*/kdeconnect-kde/

#------------------------------------------------------------------------------

%package        nautilus
Summary:        KDE Connect extension for Nautilus
Group:          Graphical desktop/KDE
BuildArch:      noarch
Requires:       nautilus-python
Requires:       %{name} >= %{version}-%{release}

%description    nautilus
This package provides a KDE Connect extension for Nautilus.

%files nautilus
%{_kf6_datadir}/nautilus-python/extensions/kdeconnect-share.py*

#------------------------------------------------------------------------------

%define kdeconnectcore_major 24
%define libkdeconnectcore %mklibname kdeconnectcore %{kdeconnectcore_major}

%package -n     %{libkdeconnectcore}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectcore}
Runtime library for %{name}.

%files -n %{libkdeconnectcore}
%{_kf6_libdir}/libkdeconnectcore.so.%{kdeconnectcore_major}{,.*}

#------------------------------------------------------------------------------
%if 0
%define kdeconnectinterfaces_major 24
%define libkdeconnectinterfaces %mklibname kdeconnectinterfaces %{kdeconnectinterfaces_major}

%package -n     %{libkdeconnectinterfaces}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectinterfaces}
Runtime library for %{name}.

%files -n %{libkdeconnectinterfaces}
%{_kf6_libdir}/libkdeconnectinterfaces.so.%{kdeconnectinterfaces_major}{,.*}
%endif
#------------------------------------------------------------------------------

%define kdeconnectpluginkcm_major 24
%define libkdeconnectpluginkcm %mklibname kdeconnectpluginkcm %{kdeconnectpluginkcm_major}

%package -n     %{libkdeconnectpluginkcm}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectpluginkcm}
Runtime library for %{name}.

%files -n %{libkdeconnectpluginkcm}
%{_kf6_libdir}/libkdeconnectpluginkcm.so.%{kdeconnectpluginkcm_major}{,.*}

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

# Bug 28333: Remove this desktop file as it tries to open zip files
rm -fv %{buildroot}%{_kf6_applicationsdir}/org.kde.kdeconnect_open.desktop

%find_lang %{name} --all-name

rm -rf %{buildroot}%{_kf6_datadir}/deepin/
rm -rf %{buildroot}%{_kf6_libdir}/libkdeconnectinterfaces.a


%changelog
* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105520
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097375
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087578
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085075
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073182
- New version 24.05.1

* Sun Jun 09 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2071701
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058582
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045127
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037625
- New version 24.01.95

* Sat Jan 13 2024 daviddavid <daviddavid> 24.01.90-1.mga10
+ Revision: 2030762
- New version 24.01.90
- kpeoplevcard is no more needed

* Wed Jan 03 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2026824
- New version 24.01.85

* Wed Nov 22 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2009021
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989572
- New version 23.08.1

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958750
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946461
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941755
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922874
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911369
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905222
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886741
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1882592
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873037
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853931
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1850994
- Remove org.kde.kdeconnect_open.desktop file as it tries to open Zip Files( mga#28333)
- New version 22.03.90
- New version 21.12.0
- New version 21.11.90
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 21.04.1-2.mga9
+ Revision: 1740549
- rebuild for pulseaudio-qt

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724032
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718834
- New version 21.04.0

* Thu Apr 22 2021 daviddavid <daviddavid> 20.12.3-3.mga9
+ Revision: 1717913
- do not mark sshfs-fuse as recommended package but as a required (mga#28827)

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698516
- New version 20.12.3

* Mon Mar 01 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694708
- New version 20.12.2

* Sun Dec 13 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1656327
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643963
- New version 20.08.3

* Tue Oct 13 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1634973
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627021
- New version 20.08.1

* Wed Aug 19 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615595
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604087
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1597322
- New version 20.04.2

* Fri Jun 19 2020 daviddavid <daviddavid> 20.04.1-2.mga8
+ Revision: 1596733
- add missing dependency on kio (necessary for a DE install other than plasma)

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1585139
- New version 20.04.1

* Fri Apr 24 2020 daviddavid <daviddavid> 20.04.0-1.mga8
+ Revision: 1571534
- New version 20.04.0 (says hello kdeconnect-kde into kde application)

* Tue Feb 18 2020 umeabot <umeabot> 1.4-2.mga8
+ Revision: 1539650
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Dec 11 2019 daviddavid <daviddavid> 1.4-1.mga8
+ Revision: 1465883
- new version: 1.4

* Tue Jul 30 2019 daviddavid <daviddavid> 1.3.5-1.mga8
+ Revision: 1426070
- new version: 1.3.5

* Sat Mar 30 2019 umeabot <umeabot> 1.3.4-2.mga7
+ Revision: 1382207
- Qt5 Rebuild

* Tue Mar 26 2019 daviddavid <daviddavid> 1.3.4-1.mga7
+ Revision: 1380293
- new version: 1.3.4

* Fri Nov 09 2018 daviddavid <daviddavid> 1.3.3-1.mga7
+ Revision: 1329086
- new version: 1.3.3

* Sat Oct 20 2018 daviddavid <daviddavid> 1.3.2-1.mga7
+ Revision: 1322937
- new version: 1.3.2

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1298479
- Mageia 7 Mass Rebuild

* Fri Jun 01 2018 daviddavid <daviddavid> 1.3.1-1.mga7
+ Revision: 1233409
- new version: 1.3.1

* Thu Apr 12 2018 daviddavid <daviddavid> 1.3.0-1.mga7
+ Revision: 1217952
- new version: 1.3.0
- add nautilus subpkg (extention for nautilus)

* Wed Jan 24 2018 daviddavid <daviddavid> 1.2.1-1.mga7
+ Revision: 1196746
- new version: 1.2.1

* Fri Oct 06 2017 daviddavid <daviddavid> 1.2-1.mga7
+ Revision: 1169594
- new version: 1.2

* Sun Dec 18 2016 daviddavid <daviddavid> 1.0.3-1.mga7
+ Revision: 1075890
- new version: 1.0.3

* Sat Nov 12 2016 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 1066634
- new version: 1.0.2

* Wed Sep 21 2016 daviddavid <daviddavid> 1.0.1-1.mga6
+ Revision: 1054860
- new version: 1.0.1

* Mon Aug 29 2016 daviddavid <daviddavid> 1.0-1.mga6
+ Revision: 1049392
- new version: 1.0 (stable)
- add kdeconnect-kde-handbook subpackage

* Wed Jul 27 2016 neoclust <neoclust> 0.9g-3.mga6
+ Revision: 1043784
- Add kde-cli-tools  as requires too ( from david_david )

* Wed Jul 27 2016 neoclust <neoclust> 0.9g-2.mga6
+ Revision: 1043751
- Add missing deps on qca-qt5 ( mga #18929)

* Thu May 05 2016 daviddavid <daviddavid> 0.9g-1.mga6
+ Revision: 1009582
- new version: 0.9g
- port to Qt5/kf5

* Tue Feb 09 2016 umeabot <umeabot> 0.8-2.mga6
+ Revision: 952414
- Mageia 6 Mass Rebuild

* Sat Feb 21 2015 lmenut <lmenut> 0.8-1.mga5
+ Revision: 816286
- Update to 0.8

* Sat Oct 18 2014 lmenut <lmenut> 0.7.3-1.mga5
+ Revision: 787854
- Update to 0.7.3

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-3.mga5
+ Revision: 740541
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-2.mga5
+ Revision: 680991
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Jul 22 2014 lmenut <lmenut> 0.7.2-1.mga5
+ Revision: 655686
- Update to 0.7.2
  fix files list
- fix source, groups, summaries and descriptions

* Mon Nov 11 2013 lmenut <lmenut> 0.4.1-1.mga4
+ Revision: 550454
- Update to 0.4.1
- Update to 0.4
  fix files list
- Rename package to match upstream name

* Mon Oct 21 2013 umeabot <umeabot> 0.3-1.mga4
+ Revision: 539358
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 mikala <mikala> 0.3-0.mga4
+ Revision: 491942
- Update tarball to 0.3
- Fix files list

* Sun Aug 25 2013 neoclust <neoclust> 0.0-0.20130825.1.mga4
+ Revision: 471612
- imported package kdeconnect-kded

